易企CMS系统转换到linux下Strict Standards错误

Strict Standards: Declaration of ezSQL_mysql::query() should be compatible with ezSQLcore解决方法
客户网站用的是易企CMS系统,之前运行很稳定,迁移到阿里云虚拟主机以后,页面顶部出现一串代码:

Strict Standards: Declaration of ezSQL_mysql::query() should be compatible with ezSQLcore::query() in D:\XAMPP\htdocs\yiqicms\include\ezsql\ez_sql_mysql.php on line 263

Strict Standards: Declaration of ezSQL_mysql::escape() should be compatible with ezSQLcore::escape() in D:\XAMPP\htdocs\yiqicms\include\ezsql\ez_sql_mysql.php on line 263

类似上面的代码,百度之后,找到了解决方案,并成功解决,方案如下:

1.找到本地你安装易企CMS程序的目录,然后依次打开include下面的ezsql文件夹。

2.选中ez_sql_core.php文件,用代码编辑器打开,在最后面的?>之前加入以下的这行代码并保存覆盖原来的文件:

error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_DEPRECATED);

3.如果问题还没有得到解决,你还可以在include文件夹下面找到config.inc.php文件,也是在?>之前加入上方的代码。

我是直接修改的ez_sql_core.php,就成功解决了问题。

文章来自: 本站原创
引用通告: 查看所有引用 | 我要引用此文章
Tags:
相关日志:
评论: 0 | 引用: 0 | 查看次数: 3459
发表评论
你没有权限发表评论!